%define pkgdir %(echo %version | tr . _)
Name:          libtorrent-rasterbar
Version:       2.0.8
Release:       1mamba
Summary:       A C++ implementation of the BitTorrent protocol with the goals of being efficient and easy to use
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.libtorrent.org/
Source:        https://github.com/arvidn/libtorrent.git/v%{version}/libtorrent-%{version}.tar.bz2
#Source:        https://github.com/arvidn/libtorrent/releases/download/libtorrent_%{pkgdir}/libtorrent-rasterbar-%{version}.tar.gz
Patch0:        %{name}-0.13.1-boost-1.36.patch
Patch1:        libtorrent-1.1.9-libboost-include.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libboost-devel >= 1.69.0-2mamba

%description
libtorrent is a C++ library that aims to be a good alternative to all the other bittorrent implementations around. It is a library and not a full featured client, although it comes with a working example client.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
libtorrent is a C++ library that aims to be a good alternative to all the other bittorrent implementations around. It is a library and not a full featured client, although it comes with a working example client.
This package contains static libraries and header files needed for development.

%package -n python-%{name}
Summary:       Python bindings for libtorrent-rasterbar
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package contains Python bindings for the libtorrent-rasterbar library.

%debug_package

%prep
%setup -q -n libtorrent-%{version}
#%patch1 -p1

%build
%cmake -d build

%make

:<< _OLD
#./autotool.sh
%configure \
   --enable-python-binding \
   --with-libgeoip \
   --with-boost-system \
   CXXFLAGS="%{optflags} -std=c++14" \
   PYTHON=%{__python3}

%make V=1 \
%ifarch x86_64
   LDFLAGS="-L%{_libdir}"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtorrent-rasterbar.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libtorrent
%{_libdir}/libtorrent-rasterbar.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/FindLibtorrentRasterbar.cmake
%dir %{_libdir}/cmake/LibtorrentRasterbar
%{_libdir}/cmake/LibtorrentRasterbar/LibtorrentRasterbar*.cmake
%doc ChangeLog NEWS

#%files -n python-%{name}
#%defattr(-,root,root)
#%{python3_sitearch}/libtorrent.cpython-3*.so
#%{python3_sitearch}/python_libtorrent-%{version}-py*.egg-info

%changelog
* Mon Oct 24 2022 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Mon Jul 18 2022 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-1mamba
- update to 2.0.6

* Sun Dec 05 2021 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Mon Jun 07 2021 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Mon Sep 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-2mamba
- rebuilt with -std=c++14 to fix link with qbittorrent

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-1mamba
- update to 1.2.10

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 1.2.6-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 1.2.5-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-1mamba
- update to 1.2.3

* Tue Feb 12 2019 Automatic Build System <autodist@mambasoft.it> 1.1.12-2mamba
- automatic version update by autodist

* Tue Feb 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.12-1mamba
- update to 1.1.12

* Tue Aug 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Sat Apr 22 2017 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Sun Sep 11 2016 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- update to 1.1.0

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Thu Jul 24 2014 Automatic Build System <autodist@mambasoft.it> 0.16.17-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 0.16.16-1mamba
- automatic version update by autodist

* Sat Mar 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.15-1mamba
- update to 0.16.15

* Sun Jan 26 2014 Automatic Build System <autodist@mambasoft.it> 0.16.12-1mamba
- automatic version update by autodist

* Tue May 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.9-2mamba
- python 2.7 mass rebuild

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 0.16.9-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 0.16.8-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 0.16.7-1mamba
- automatic version update by autodist

* Tue Jan 08 2013 Automatic Build System <autodist@mambasoft.it> 0.16.6-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.5-2mamba
- libboost 1.52 mass rebuild

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.16.5-1mamba
- automatic version update by autodist

* Sun Jan 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.15.5-1mamba
- update to 0.15.5

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 0.15.4-1mamba
- update to 0.15.4

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 0.15.0-3mamba
- automatic rebuild by autodist

* Sun Jun 13 2010 Automatic Build System <autodist@mambasoft.it> 0.15.0-2mamba
- automatic rebuild by autodist

* Sun Jun 06 2010 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic update by autodist

* Tue Jan 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.5-3mamba
- remove temporary specfile build modifications (i.e. setup -D -T) to allow automatic rebuilds

* Mon Jan 11 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.14.5-2mamba
- build python bindings

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 0.14.5-1mamba
- automatic update by autodist

* Sat Jul 11 2009 Automatic Build System <autodist@mambasoft.it> 0.14.4-1mamba
- automatic update by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 0.14.2-3mamba
- automatic rebuild by autodist

* Thu Jun 04 2009 Automatic Build System <autodist@mambasoft.it> 0.14.2-2mamba
- automatic rebuild by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.2-1mamba
- automatic update by autodist

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.1-1mamba
- package created by autospec
